﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace RadioButtonList_EF_Razor_Core.Pages
{
    public class IndexModel : PageModel
    {
        private DBCtx Context { get; }
        public IndexModel(DBCtx _context)
        {
            this.Context = _context;
        }

        public List<SelectListItem> Customers { get; set; }

        public void OnGet()
        {
            this.Customers = GetCustomers();
        }

        public void OnPostSubmit(string customer)
        {
            this.Customers = GetCustomers();
            var selectedCustomer = this.Customers.Find(p => p.Value == customer);
            if (selectedCustomer != null)
            {
                selectedCustomer.Selected = true;
                ViewData["Message"] = "Selected Customer: " + selectedCustomer.Text;
            }
        }

        private List<SelectListItem> GetCustomers()
        {
            List<SelectListItem> customerList = (from p in this.Context.Customers
                                                 select new SelectListItem
                                                 {
                                                     Text = p.Name,
                                                     Value = p.CustomerId.ToString()
                                                 }).ToList();

            return customerList;
        }
    }
}